<?xml version="1.0" encoding="utf-8"?>
<com.mxn.soul.flowingdrawer_core.FlowingDrawer
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/drawerlayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clipChildren="false"
    android:clipToPadding="true"
    app:edPosition="1"
    app:edMenuSize="320dp"
    app:edMenuBackground="#ddeff3">

    <!--content-->
    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:id="@+id/content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        >
<!--        主要页面的内容，也就是在person直接能看到的-->
<!--        <androidx.recyclerview.widget.RecyclerView-->
<!--            android:id="@+id/rvFeed"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="match_parent"-->
<!--            android:scrollbars="none"-->
<!--            app:layout_behavior="@string/appbar_scrolling_view_behavior"/>-->

<!--        在这里添加自定义主页面 可支持自定义背景图，还有头像，然后几个cardview-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">
            <ImageView
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:background="@drawable/draw7"/>
        <LinearLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:app="http://schemas.android.com/apk/res-auto"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:background="#423752">

            <devlight.io.library.ntb.NavigationTabBar
                app:ntb_title_mode="all"
                app:ntb_titled="true"
                app:ntb_title_size="14sp"
                android:id="@+id/ntb_vertical"
                android:layout_width="50dp"
                android:layout_height="match_parent"
                app:ntb_preview_colors="@array/vertical_ntb"/>

            <androidx.viewpager.widget.ViewPager
                android:id="@+id/vp_vertical_ntb"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"/>

        </LinearLayout>

        </LinearLayout>

        //最上面的菜单栏
        <com.google.android.material.appbar.AppBarLayout
            android:id="@+id/appBarLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <include
                android:id="@+id/toolbar"
                layout="@layout/view_feed_toolbar"/>
        </com.google.android.material.appbar.AppBarLayout>



    </androidx.coordinatorlayout.widget.CoordinatorLayout>



    <!--menu：在这里设置的是左侧的菜单内容-->
    <com.mxn.soul.flowingdrawer_core.FlowingMenuLayout
        android:id="@+id/menulayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <FrameLayout
            android:id="@+id/id_container_menu"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

    </com.mxn.soul.flowingdrawer_core.FlowingMenuLayout>
</com.mxn.soul.flowingdrawer_core.FlowingDrawer>
<!--<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"-->
<!--    xmlns:tools="http://schemas.android.com/tools"-->
<!--    android:orientation="vertical"-->
<!--    android:layout_width="match_parent"-->
<!--    android:layout_height="match_parent"-->
<!--    tools:context=".PersonalityCenterActivity">-->


<!--    <ImageView-->
<!--        android:id="@+id/head_picture"-->
<!--        android:layout_width="110dp"-->
<!--        android:layout_height="110dp"-->
<!--        android:layout_marginTop="20dp"-->
<!--        android:layout_marginLeft="150dp"-->
<!--        android:layout_centerInParent="true"-->
<!--        android:src="@mipmap/picture"/>-->

<!--    <Button-->
<!--        android:id="@+id/login_pc_button"-->
<!--        android:layout_width="100dp"-->
<!--        android:layout_height="50dp"-->
<!--        android:text="登录"-->
<!--        android:textSize="20sp"-->
<!--        android:background="#FFDAB9"-->
<!--        android:layout_marginLeft="157dp"-->
<!--        android:visibility="visible"/>-->

<!--    <Button-->
<!--        android:id="@+id/welcom_btn"-->
<!--        android:layout_width="100dp"-->
<!--        android:layout_height="50dp"-->
<!--        android:text="欢迎"-->
<!--        android:textSize="20sp"-->
<!--        android:background="#FFDAB9"-->
<!--        android:layout_marginLeft="157dp"-->
<!--        android:visibility="gone"/>-->
<!--    <View-->
<!--        android:layout_marginTop="20dp"-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->


<!--        <ImageView-->
<!--            android:id="@+id/yellow_star1"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->


<!--        <TextView-->
<!--            android:id="@+id/personal"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="个性推荐"-->
<!--            android:textSize="18sp"-->
<!--        android:layout_marginTop="12dp"-->
<!--        android:layout_marginLeft="16dp"/>-->

<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->

<!--        <ImageView-->
<!--            android:id="@+id/yellow_star2"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->

<!--        <TextView-->
<!--            android:id="@+id/diet_hobby"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="饮食爱好"-->
<!--            android:textSize="18sp"-->
<!--            android:layout_marginTop="12dp"-->
<!--            android:layout_marginLeft="16dp"/>-->

<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->

<!--        <ImageView-->
<!--            android:id="@+id/yellow_star3"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->


<!--        <TextView-->
<!--            android:id="@+id/regimen"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="养生方案"-->
<!--            android:textSize="18sp"-->
<!--            android:layout_marginTop="12dp"-->
<!--            android:layout_marginLeft="16dp"/>-->

<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->

<!--        <ImageView-->
<!--            android:id="@+id/yellow_star4"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->

<!--        <TextView-->
<!--            android:id="@+id/history"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="浏览记录"-->
<!--            android:textSize="18sp"-->
<!--            android:layout_marginTop="12dp"-->
<!--            android:layout_marginLeft="16dp"/>-->

<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->

<!--        <ImageView-->
<!--            android:id="@+id/yellow_star5"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->

<!--        <TextView-->
<!--            android:id="@+id/message"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="消息通知"-->
<!--            android:textSize="18sp"-->
<!--            android:layout_marginTop="12dp"-->
<!--            android:layout_marginLeft="16dp"/>-->
<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--    <LinearLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:orientation="horizontal">-->

<!--        <ImageView-->
<!--            android:id="@+id/yellow_star6"-->
<!--            android:layout_width="50dp"-->
<!--            android:layout_height="50dp"-->
<!--            android:layout_marginLeft="2dp"-->
<!--            android:src="@mipmap/star"/>-->

<!--        <TextView-->
<!--            android:id="@+id/setting"-->
<!--            android:layout_width="100dp"-->
<!--            android:layout_height="40dp"-->
<!--            android:text="设置"-->
<!--            android:textSize="18sp"-->
<!--            android:layout_marginTop="12dp"-->
<!--            android:layout_marginLeft="16dp"/>-->
<!--    </LinearLayout>-->

<!--    <View-->
<!--        android:layout_height="1px"-->
<!--        android:background="#000000"-->
<!--        android:layout_width="fill_parent"/>-->

<!--</LinearLayout>-->